Subject: Re: [bug#32908] [PATCH 03/24] gnu: Add ghc-cairo.

From: Leo Famulari <[email-masked]>
Date: Thu, 4 Oct 2018 12:38:16 -0400

On Tue, Oct 02, 2018 at 06:28:51PM +0200, Ricardo Wurmus wrote:
> +       (modify-phases %standard-phases
> +         ;; FIXME: This is a copy of the standard configure phase with a tiny
> +         ;; difference: this package needs the -package-db flag to be passed
> +         ;; to "runhaskell" in addition to the "configure" action, because it
> +         ;; depends on gtk2hs-buildtools, which provide setup hooks.  Without
> +         ;; this option the Setup.hs file cannot be evaluated.  The
> +         ;; haskell-build-system should be changed to pass "-package-db" to
> +         ;; "runhaskell" in any case.
> +         (replace 'configure

Can you file a bug regarding this change to the haskell-build-system?